Cancel Task

Cancel Task
Cancel a task

Cancels a running task. Canceled tasks will initially be in state CANCELING and will move to state FAILED once the cancel request has been processed. Cancel requests are idempotent and will be processed according to the state of the task when the request is executed. Canceling a task that is in SUCCEEDED or FAILED state will return an error.

Request
URI
POST
https://api.example.local/v3/tasks/{guid}/actions/cancel
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
202

OK

Returns Task of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "command": "string",
    "state": "string",
    "sequence_id": 0,
    "memory_in_mb": 0,
    "disk_in_mb": 0,
    "droplet_guid": "string",
    "result": {
        "failure_reason": "string"
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        }
    }
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/v3/tasks/{guid}/actions/cancel